Bug 34900

Summary: Implement accelerated compositing for chromium
Product: WebKit Reporter: Alok Priyadarshi <alokp>
Component: Layout and RenderingAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, vangelis
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Changes to build webkit with WTF_USE_ACCELERATED_COMPOSITING flag none

Description Alok Priyadarshi 2010-02-12 10:28:17 PST
Need to implement accelerated compositing for:
- Hardware-decoded video for <video> and WebGL <canvas> elements without expensive copy operations
- Support for 3D CSS transforms and animations
Comment 1 Alok Priyadarshi 2010-02-16 15:17:56 PST
Created attachment 48840 [details]
Changes to build webkit with WTF_USE_ACCELERATED_COMPOSITING flag

WTF_USE_ACCELERATED_COMPOSITING is disabled by default. It can be enabled with a gyp command-line flag.
Comment 2 Ariya Hidayat 2010-02-16 22:45:46 PST
Comment on attachment 48840 [details]
Changes to build webkit with WTF_USE_ACCELERATED_COMPOSITING flag

A nice start! LGTM.
Comment 3 Alok Priyadarshi 2010-02-17 09:55:38 PST
Comment on attachment 48840 [details]
Changes to build webkit with WTF_USE_ACCELERATED_COMPOSITING flag

I do not have commit access. Could someone submit the patch please.
Comment 4 Ariya Hidayat 2010-02-17 11:10:33 PST
Comment on attachment 48840 [details]
Changes to build webkit with WTF_USE_ACCELERATED_COMPOSITING flag

cq+
Comment 5 WebKit Commit Bot 2010-02-17 11:28:11 PST
Comment on attachment 48840 [details]
Changes to build webkit with WTF_USE_ACCELERATED_COMPOSITING flag

Clearing flags on attachment: 48840

Committed r54904: <http://trac.webkit.org/changeset/54904>
Comment 6 WebKit Commit Bot 2010-02-17 11:28:15 PST
All reviewed patches have been landed.  Closing bug.